Package groovy.io

# Class PlatformLineWriter

java.lang.Object
java.io.Writer
groovy.io.PlatformLineWriter

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.Appendable`, `java.lang.AutoCloseable`

    public class PlatformLineWriter
    extends java.io.Writer

A buffered writer that gobbles any \r characters and replaces every \n with a platform specific newline. In many places Groovy normalises streams to only have \n characters but when creating files that must be used by other platform-aware tools, you sometimes want the newlines to match what the platform expects.

- ## Field Summary

  ### Fields inherited from class java.io.Writer

  `lock`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PlatformLineWriter​(java.io.Writer out)` |
  `PlatformLineWriter​(java.io.Writer out, int sz)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `close()` |
  `void` | `flush()` |
  `void` | `write​(char[] cbuf, int off, int len)` |

  ### Methods inherited from class java.io.Writer

  `append, append, append, nullWriter, write, write, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlatformLineWriter

    public PlatformLineWriter​(java.io.Writer out)

  - ### PlatformLineWriter

    public PlatformLineWriter​(java.io.Writer out, int sz)

- ## Method Details

  - ### write

    public void write​(char[] cbuf, int off, int len) throws java.io.IOException
    Specified by:
      `write` in class `java.io.Writer`
    Throws:
      `java.io.IOException`

  - ### flush

    public void flush() throws java.io.IOException
    Specified by:
      `flush` in interface `java.io.Flushable`
    Specified by:
      `flush` in class `java.io.Writer`
    Throws:
      `java.io.IOException`

  - ### close

    public void close() throws java.io.IOException
    Specified by:
      `close` in interface `java.lang.AutoCloseable`
    Specified by:
      `close` in interface `java.io.Closeable`
    Specified by:
      `close` in class `java.io.Writer`
    Throws:
      `java.io.IOException`